Bug 1293869 - [fork][userinterface_public_500]Can not specify one of multiple containers when attach pvc from web console
[fork][userinterface_public_500]Can not specify one of multiple containers wh...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Management Console (Show other bugs)
3.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Fabiano Franz
yapei
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-23 05:23 EST by Yanping Zhang
Modified: 2016-05-12 13:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-12 13:12:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
snapshot (127.34 KB, image/png)
2015-12-23 23:17 EST, Yanping Zhang
no flags Details
dc-with-two-containers (1.10 KB, text/plain)
2015-12-23 23:17 EST, Yanping Zhang
no flags Details

  None (edit)
Description Yanping Zhang 2015-12-23 05:23:41 EST
Description of problem:
Create a dc to trigger a pod with multiple containers. After the pod is running, try to attach a pvc to one of containers from web console, there is no check box to do this on the page.

Version-Release number of selected component (if applicable):
openshift v1.1-620-g34d6fde
kubernetes v1.1.0-origin-1107-g4c8e6f4
etcd 2.1.2

fork_ami_openshift3_userinterface_public_500_164

How reproducible:
Always

Steps to Reproduce:
1.Create dc to trigger pod with 2 containers in project
2.Create pvc in project
3.Try to attach the pvc to one of the containers from web console.

Actual results:
3.There is no check box for user to choose container on the page. The attach action will attach the pvc to all the containers by default.

Expected results:
3.Should have check boxes on the page so that user could choose container.

Additional info:
Could attach pvc to one of the containers from CLI.
Comment 1 Fabiano Franz 2015-12-23 22:22:53 EST
You don't get the checkboxes when clicking the "select specific containers" link at the bottom, right above the buttons? If so, could you provide the template of your dc?
Comment 2 Yanping Zhang 2015-12-23 23:16:00 EST
After I click the "select specific containers", there is no checkbox above the button, refer to the snapshot pls. And attach the dc file as well.
Comment 3 Yanping Zhang 2015-12-23 23:17 EST
Created attachment 1109129 [details]
snapshot
Comment 4 Yanping Zhang 2015-12-23 23:17 EST
Created attachment 1109130 [details]
dc-with-two-containers
Comment 5 Fabiano Franz 2015-12-24 11:36:10 EST
Thanks, fixed in fork_ami_openshift3_userinterface_public_500_165.
Comment 6 Yanping Zhang 2015-12-25 01:34:44 EST
Tested against fork_ami_openshift3_userinterface_public_500_165.
Now there are check boxes on the page, and could attach a pvc to one of the containers successfully. 
The bug has been fixed, so move it to Verified.

Note You need to log in before you can comment on or make changes to this bug.